:root {
    --color-bg: #E2E2E2;
    --color-text: #605F5E;
    --color-light: #247BA0;
    --color-light-transparent: #247ba040;
    --color-dark: #0A2463;
    --color-contrast: #800020;
    --shadow-image: 0px 0px 10px 5px rgba(0, 0, 0, 0.4);
    --shadow-entry: 0px 0px 15px 0px rgba(0, 0, 0, 0.4);
}

html {
    min-height: 100vh;
    margin: 0;
}

body {
    font-size: 1.2rem;
    font-family: 'Times New Roman', Times, serif;
    padding: 0;
    padding-left: calc(100vw - 100%);
    margin: 0;
    display: flex;
    justify-content: center;
    min-height: 100vh;
}

main {
    color: var(--color-text);
    background-color: var(--color-bg);
    margin: 0;
    padding: 0px;
    min-height: 100%;
    max-width: 100%;
    width: 1000px;
    text-align: justify;
    box-shadow: var(--shadow-entry);
}

p {
    margin: 10px;
}

h1 {
    text-align: center;
}

nav {
    margin: 1rem 10px;
    padding: 0;
    position: relative;
    width: calc(100%-20px);
    height: 30px;
    display: flex;
}

nav div {
    display: inline-flex;
    width: 25%;
    height: 100%;
    margin: 0;
    justify-content: center;
    align-items: center;
}

nav div a {
    width: 95%;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    text-decoration: none;
    border-radius: 18px;
    background: var(--color-light);
    color: var(--color-dark);
    padding: 8px 0rem;
    transition: all 100ms linear;
}

header nav a.active {
    background-color: var(--color-dark);
    color: var(--color-light);
    cursor: default;
}

header nav a:hover:not(.active) {
    background-color: var(--color-dark);
    color: var(--color-light);
}


a {
    color: var(--color-contrast);
    text-decoration: none;
    transition: color 100ms linear;
}

a:hover {
    color: var(--color-dark);
}

.magenta {
    color: magenta;
}

a.magenta:hover {
    color: var(--color-dark)
}

div.button_menu {
    display: flex;
    justify-content: center;
    max-width: 100%;
}

span.contact {
    display: inline-flex;
    justify-content: center;
    width: 100px;
    margin: 10px;
    background-color: var(--color-light);
    border-radius: 10px;
    transition: all 100ms linear;
}

span.contact:hover {
    background-color: var(--color-dark);
}

span.contact>a {
    color: var(--color-dark);
    transition: all 100ms linear;
    padding: 10px;
    width: 100%;
    text-align: center;
}

span.contact>a:hover {
    color: var(--color-light)
}

span.tech {
    color: var(--color-contrast);
    font-style: italic;
}

span.position {
    font-weight: bold;
}

img {
    max-width: calc(100%-20px);
    width: calc(100% - 20px);
    display: flex;
    margin: 1rem auto;
}

img.portrait {
    border-radius: 50%;
    box-shadow: var(--shadow-image);
}

ul.cv {
    padding: 0px;
}

ul.cv>li {
    font-size: 1.3rem;
    list-style: none;
}

ul.cv>li>h2 {
    font-variant: small-caps;
    background-color: var(--color-light);
    color: var(--color-dark);
    margin-left: 0px;
    margin-right: 15%;
    margin-bottom: 0px;
    border-top-right-radius: 0.5em;
    padding: 0.2em 10px;
    box-shadow: var(--shadow-entry);
}

ul.cv>li:not(:first-child) {
    padding-top: 0.5rem;
}

ul.cv-entry {
    list-style: none;
    padding: 0px;
}

ul.cv-entry>li {
    padding: 0.7rem 15px;
    max-width: 100%;
    box-shadow: var(--shadow-entry);
}

ul.cv-entry>li:nth-of-type(odd) {
    background-color: var(--color-text);
    color: var(--color-bg);
}

ul.cv-entry>li:nth-of-type(even) {
    background-color: var(--color-bg);
    color: var(--color-text)
}

ul.cv-entry ul.info {
    list-style: disc;
    position: absolute;
    margin-left: 100%;
    width: 100%;
    background-color: var(--color-dark);
    color: var(--color-light);
    transition: all 1s ease-in-out;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    border-top-left-radius: 1rem;
    border-bottom-left-radius: 1rem;
    box-shadow: var(--shadow-image);
}

ul.cv-entry ul.info.show {
    margin-left: inherit;
}

ul.cv-entry ul.info>li {
    width: 80%;
}

span.time {
    font-style: italic;
}

span.tket {
    text-transform: uppercase;
}

div.sidebar {
    display: none;
    position: fixed;
}

@media (min-width: 500px) {
    img {
        max-width: calc(50%-20px);
        width: 500px;
    }
}